List:General Discussion« Previous MessageNext Message »
From:System Administrator a.k.a. The Root of the Problem Date:August 5 1999 2:49am
Subject:Re: Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 SOLVED
View as plain text  
egcs-2.95?

should be gcc-2.95

On Thu, Aug 05, 1999 at 05:20:20AM +0300, Michael Widenius wrote:
> >>>>> "Gcc" == Gcc  <gcc@stripped> writes:
> 
> Gcc> Hey guys,
> Gcc> 	I just wanted to that you guys know the problem I had with
> Gcc> mysqld-3.22.25 and egcs-2.95 is solved.  Apparently, if you have DCE
> Gcc> package (POSIX draft level 4 threads) and try build egcs-2.95 all
> Gcc> the libraries are built againt libdce.a (which has it's own pthread
> Gcc> functions).  This causes major conflicts with the MIT-pthreads.
> 
> Gcc>         After removing the dce libraries and header and rebuilding
> Gcc> egcs-2.95 and mysqld-3.22.25 everything works perfectly.  I was
> Gcc> wondering if we could document this in the README to never link
> Gcc> with libdce.a or libcma.a.
> 
> Gcc> Thanks,
> Gcc> Sammy Yu
> 
> Hi!
> 
> I have now added the following to the MySQL documentation:
> 
> --------
> If you are compiling egcs 2.95 yourself, you should NOT link it with
> the DCE libraries (libdce.a or libcma.a) if you want to compile MySQL with
> MIT-threads.  If you mix the DCE and MIT-pthread packages you will get
> a mysqld that you can't connect to.  Remove the DCE libraries while you
> compile egcs 2.95!
> -------
> 
> By the way, can you check if the fork_test.pl test works with your new 
> mysqld?  If yes, can you please upload a copy to
> ftp://www.mysql.com/pub/mysql/Incoming for other HP users to test?
> 
> Have you tried to use MySQL with DCE threads with gcc 2.95 ?
> 
> Regards,
> Monty
> 
> ---------------------------------------------------------------------
> Please check "http://www.mysql.com/Manual_chapter/manual_toc.html" before
> posting. To request this thread, e-mail mysql-thread9428@stripped
> 
> To unsubscribe, send a message to the address shown in the
> List-Unsubscribe header of this message. If you cannot see it,
> e-mail mysql-unsubscribe@stripped instead.
> 
Thread
Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 using egcs-2.95Gcc4 Aug
  • Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 using egcs-2.95sinisa4 Aug
  • Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 using egcs-2.95Michael Widenius4 Aug
    • Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 SOLVEDGcc5 Aug
      • Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 SOLVEDMichael Widenius5 Aug
        • Re: Problems with mysqld-3.22.25 on hppa1.1-hp-hpux10.20 SOLVEDSystem Administrator a.k.a. The Root of the Problem5 Aug